POST
/api/v1/fraud/api/backtest/

Create a new backtest session using API key authentication.

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Serializer for creating a backtest session.

Response Body

application/json

curl -X POST "https://example.com/api/v1/fraud/api/backtest/" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "images": [      {        "property1": null,        "property2": null      }    ]  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "organisation_name": "string",    "name": "string",    "description": "string",    "total_images": 0,    "processed_images": 0,    "failed_images": 0,    "status": "PENDING",    "duplicates_found": 0,    "cross_org_matches": 0,    "progress_percentage": "string",    "duration_seconds": "string",    "started_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z",    "error_message": "string",    "created_at": "2019-08-24T14:15:22Z"  },  "status": true,  "message": "Request successful.",  "errors": {},  "meta": {    "timestamp": "2019-08-24T14:15:22Z",    "version": "v1",    "request_id": "string"  },  "pagination": {    "page": 0,    "page_size": 0,    "total_pages": 0,    "total_items": 0  }}
Response Codes & Statuses: Prembly API responses include custom response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).
View Response Codes Guide
Prembly Slack Community

Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.

Join Slack Channel